# About

Comparing genome and gene reconstruction when using short reads (Illumina), long reads (Oxford Nanopore Technology, ONT)
and a hybrid approach.

# Setup

```bash
git clone --recurse-submodules https://git-r3lab.uni.lu/susheel.busi/ont_pilot_gitlab
```

[About git submodules](https://git-scm.com/book/en/v2/Git-Tools-Submodules)

TODO: other dependencies ???

# Analysis

## On LCSB HPC server `iris`

Main `conda` environment: `/scratch/users/vgalata/miniconda3/ONT_pilot`

Example commands for `GDB`:

```bash
# conda
conda activate /scratch/users/vgalata/miniconda3/ONT_pilot
# analysis: check which rules will be executed
snakemake -s workflow/Snakefile --configfile config/GDB/config.yaml --use-conda --conda-prefix ${CONDA_PREFIX}/pipeline --cores 1 -rpn
# submit jobs using slurm
./config/GDB/sbatch.sh
# report
snakemake -s workflow_report/Snakefile --configfile config/GDB/config.yaml --use-conda --conda-prefix ${CONDA_PREFIX}/pipeline --cores 1 -rpn
```

### `conda` environment

If the path specified above does not exists, you can create the environment from `requirements.yaml`
and replace the env. path in `sbatch.sh` files by `"ONT_pilot"`.

```bash
# will create env. ONT_pilot
conda env create -f requirements.yaml
```