#!/bin/bash -l

# slurm settings if called using sbatch
#SBATCH -J ONT_SMK
#SBATCH -N 1
#SBATCH -n 1
#SBATCH -c 1
#SBATCH --time=3-00:00:00
#SBATCH -p batch
#SBATCH --qos=qos-batch

# conda env name or path
ONTP_ENV="/scratch/users/vgalata/miniconda3/ONT_pilot" # CHANGE as needed
# config files
ONTP_CONFIG="config/Zymo/config.yaml"
ONTP_SLURM="config/Zymo/slurm.yaml"
# slurm cluster call
ONTP_CLUSTER="sbatch -p {cluster.partition} -q {cluster.qos} {cluster.explicit} -N {cluster.nodes} -n {cluster.n} -c {threads} -t {cluster.time} --job-name={cluster.job-name}"

conda activate ${ONTP_ENV} && \
snakemake -s workflow/Snakefile -rp --jobs 10 --local-cores 1 \
--configfile ${ONTP_CONFIG} --use-conda --conda-prefix ${CONDA_PREFIX}/pipeline \
--cluster-config ${ONTP_SLURM} --cluster "${ONTP_CLUSTER}"
